sc::MOPairIter(3)

NAME
sc::MOPairIter - MOPairIter gives the ordering of orbital pairs.

SYNOPSIS

#include <pairiter.h>

Inherits sc::RefCount.

Inherited by sc::SpatialMOPairIter.

  Public Member Functions
MOPairIter (const Ref< MOIndexSpace > &space_i, const Ref< MOIndexSpace > &space_j)
Initialize an iterator for the given MO spaces.
virtual void start (const int first_ij=0)=0
Start the iteration.
virtual void next ()=0
Move to the next pair.
virtual operator int () const=0
Returns nonzero if the iterator currently hold valid data.
int ni () const
Returns the number of functions in space i.
int nj () const
Returns the number of functions in space j.
int i () const
Returns index i.
int j () const
Returns index j.
int nij () const
Returns the number of pair combinations for this iterator.
int ij () const
Returns the current iteration.

  Protected Attributes
bool i_eq_j_
int ni_
int nj_
int i_
int j_
int nij_
int ij_

Detailed Description

MOPairIter gives the ordering of orbital pairs.

Author

Generated automatically by Doxygen for MPQC from the source code.